.y-in-middle {
    position: absolute;
    top: 50%;
    transform: translateY(-50%)
}

.x-in-middle {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.xy-in-middle {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
